Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3634)

Issue 2841953002: headless: Add support for net logging (Closed)

Created:
2 years, 4 months ago by Sami
Modified:
2 years, 4 months ago
Reviewers:
Eric Seckler
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

headless: Add support for net logging This patch adds support for the --log-net-log command line flag to headless to help diagnosing issues with networking. BUG=706355 Review-Url: https://codereview.chromium.org/2841953002 Review-Url: https://codereview.chromium.org/2841953002 Cr-Commit-Position: refs/heads/master@{#467315} Committed: https://chromium.googlesource.com/chromium/src/+/86195291fae07e5bb665295e0cb598777100ff34

Patch Set 1 #

Total comments: 2

Patch Set 2 : Allow IO in test #

Patch Set 3 : CrOS build fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+179 lines, -5 lines) Patch
M headless/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M headless/lib/browser/headless_browser_context_impl.cc View 2 chunks +4 lines, -1 line 0 comments Download
M headless/lib/browser/headless_browser_main_parts.h View 2 chunks +5 lines, -0 lines 0 comments Download
M headless/lib/browser/headless_browser_main_parts.cc View 2 chunks +11 lines, -0 lines 0 comments Download
A headless/lib/browser/headless_net_log.h View 1 chunk +33 lines, -0 lines 0 comments Download
A headless/lib/browser/headless_net_log.cc View 1 2 1 chunk +75 lines, -0 lines 0 comments Download
M headless/lib/browser/headless_url_request_context_getter.h View 2 chunks +3 lines, -1 line 0 comments Download
M headless/lib/browser/headless_url_request_context_getter.cc View 3 chunks +6 lines, -3 lines 0 comments Download
M headless/lib/headless_browser_browsertest.cc View 1 1 chunk +40 lines, -0 lines 0 comments Download

Messages

Total messages: 30 (18 generated)
Sami
2 years, 4 months ago (2017-04-25 16:41:10 UTC) #4
Sami
2 years, 4 months ago (2017-04-25 16:41:10 UTC) #5
Eric Seckler
lgtm! But somehow the headless bot doesn't seem happy about the thread restrictions still: https://luci-logdog.appspot.com/v/?s=chromium%2Fbb%2Ftryserver.chromium.linux%2Flinux_chromium_headless_rel%2F73145%2F%2B%2Frecipes%2Fsteps%2Fheadless_browsertests__with_patch_%2F0%2Flogs%2FHeadlessBrowserTestWithNetLog.WriteNetLog%2F0
2 years, 4 months ago (2017-04-25 16:59:33 UTC) #7
Eric Seckler
https://codereview.chromium.org/2841953002/diff/1/headless/lib/headless_browser_browsertest.cc File headless/lib/headless_browser_browsertest.cc (right): https://codereview.chromium.org/2841953002/diff/1/headless/lib/headless_browser_browsertest.cc#newcode796 headless/lib/headless_browser_browsertest.cc:796: void SetUp() override { Maybe SetUp() can be called ...
2 years, 4 months ago (2017-04-25 17:00:51 UTC) #8
Sami
Thanks! https://codereview.chromium.org/2841953002/diff/1/headless/lib/headless_browser_browsertest.cc File headless/lib/headless_browser_browsertest.cc (right): https://codereview.chromium.org/2841953002/diff/1/headless/lib/headless_browser_browsertest.cc#newcode796 headless/lib/headless_browser_browsertest.cc:796: void SetUp() override { On 2017/04/25 17:00:51, Eric ...
2 years, 4 months ago (2017-04-25 18:22:31 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2841953002/20001
2 years, 4 months ago (2017-04-25 18:23:19 UTC) #14
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/438625)
2 years, 4 months ago (2017-04-25 19:11:30 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2841953002/20001
2 years, 4 months ago (2017-04-26 09:55:04 UTC) #18
commit-bot: I haz the power
Committed patchset #2 (id:20001) as https://chromium.googlesource.com/chromium/src/+/b9a42ab6f073b057c8c05d2bfc799dcc8082e2a6
2 years, 4 months ago (2017-04-26 10:32:19 UTC) #21
findit-for-me
A revert of this CL (patchset #2 id:20001) has been created in https://codereview.chromium.org/2839153002/ by findit-for-me@appspot.gserviceaccount.com. ...
2 years, 4 months ago (2017-04-26 11:13:24 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2841953002/40001
2 years, 4 months ago (2017-04-26 12:57:59 UTC) #27
commit-bot: I haz the power
2 years, 4 months ago (2017-04-26 14:08:16 UTC) #30
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/86195291fae07e5bb665295e0cb5...

Powered by Google App Engine
This is Rietveld 408576698